using System;

namespace ConsoleApp1
{
    class Program
    {
        static bool provera(int[] a,int x,int y)
        {
            int br = 0;
            for(int i = x - 1; i < y - 1; i++)
            {
                if (a[i] > a[i + 1])
                {
                    br++;
                    if (br > 1)
                    {
                        return false;
                    }
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            var niz = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            int br = int.Parse(Console.ReadLine());
            while (br > 0)
            {
                var input = Console.ReadLine().Split(' ');
                int x = int.Parse(input[0]);
                int y = int.Parse(input[1]);
                if (provera(niz, x, y))
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
                br--;
            }
        }
    }
}